# Configuration

## General

### Listener

The address and port the relay will listen on. If the reverse proxy (nginx, apache, caddy, etc)
is running on the same host, it is recommended to change `listen` to `localhost`

	listen: 0.0.0.0
	port: 8080


### Host

The domain your relay will use to identify itself.

	host: relay.example.com


## Database

### Type

The type of SQL database to use. Options:

* sqlite (default)
* postgresql
* mysql

	type: sqlite


### Minimum Connections

The minimum number of database connections to keep open (does nothing at the moment)

	min_connections: 0


### Maximum Connections

The maximum number of database connections to open (does nothing at the moment)

	max_connections: 10


## Sqlite

### Database

The path to the database file.

	database: relay.sqlite3

If the path is relative, it will be relative to the directory the config file is located. For
instance, if the config is located at `/home/izalia/.config/activityrelay/config.yaml`, the
following:

	relay.sqlite3

will resolve to:

	/home/izalia/.config/activityrelay/relay.sqlite3


## PostgreSQL

### Database

Name of the database to use.

	database: activityrelay


### Hostname

The address to use when connecting to the database. A value of `null` will use the default of
`/var/run/postgresql`

	hostname: null


### Port

The port to use when connecting to the database. A value of `null` will use the default of `5432`

	port: null


### Username

The user to use when connecting to the database. A value of `null` will use the current system
username.

	username: null


### Password

The password for the database user.

	password: null


## MySQL

### Database

Name of the database to use.

	database: activityrelay


### Hostname

The address to use when connecting to the database. A value of `null` will use the default of
`/var/run/mysqld/mysqld.sock`


### Port

The port to use when connecting to the database. A value of `null` will use the default of `3306`

	port: null


### Username

The user to use when connecting to the database. A value of `null` will use the current system
username.

	username: null


### Password

The password for the database user.

	password: null
